using SlnMesnac.Model.domain;
using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Repository.service.Impl
* 唯一标识：b1ac41da-4c0a-49e9-beaa-5ebe10c0fd90
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-07 16:58:02
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Repository.service.Impl
{
    public class TeTestServiceImpl : ITeTestService
    {
        private Repository<TeTest> _rep;

        public TeTestServiceImpl(Repository<TeTest> rep)
        {
            _rep = rep;
        }
        public List<TeTest> GetTestList()
        {
            try
            {
                var context = _rep.Context;
                var dataTable = context.Ado.GetDataTable("select * from db_hwmes.t_e_1");
                List<TeTest> entities = new List<TeTest>();
                foreach (DataRow row in dataTable.Rows)
                {
                    var entity = new TeTest
                    {
                        ts = row["ts"].ToString(),
                        volatagea = Convert.ToDouble(row["volatagea"])
                    };
                    entities.Add(entity);
                }
                return entities;
            }
            catch (Exception e)
            {
                Console.WriteLine(e);
                throw;
            }
        }
    }
}
